import request from '@/utils/request'
import { pureResponseData } from './utils'

export function upload(file) {
  const data = new FormData()
  data.set('file', file)

  return request({
    url: '/api/admin/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

export function getSysModules(params) {
  return pureResponseData(request({
    url: `/api/admin/sysModule`,
    method: 'get',
    params
  }))
}
